# copyright: 'Huynh Duong Phuong Vi @ 2013-2019'
# www.sketchupforyou.com
module S4U
	module S4u_mirror
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_mirror"
		Strings = LanguageHandler.new( NAME + ".strings")
		TOOL=Strings.GetString("Mirror")
		IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi @ 2016-2018'
		@ext.creator = 'Huynh Duong Phuong Vi (suforyou.vn@gmail.com)'
		@ext.version = '3.3.3'
		@ext.description = Strings.GetString("Mirror Objects")
		Sketchup.register_extension @ext, true
	end      
end
